aboutsummaryrefslogtreecommitdiffstats
path: root/testing/openxcap/openxcap.initd
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-05-20 06:22:36 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-05-20 10:03:47 +0000
commit96ee98c664e964f813ea011974413a2fcf0c516d (patch)
treec50dfc811a066906c6372297a53c30db31fd7ab0 /testing/openxcap/openxcap.initd
parent40446c186e93955efa055fb9dade491966e1cfe5 (diff)
downloadaports-96ee98c664e964f813ea011974413a2fcf0c516d.tar.bz2
aports-96ee98c664e964f813ea011974413a2fcf0c516d.tar.xz
testing/openxcap: new aport
Diffstat (limited to 'testing/openxcap/openxcap.initd')
-rw-r--r--testing/openxcap/openxcap.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/testing/openxcap/openxcap.initd b/testing/openxcap/openxcap.initd
new file mode 100644
index 0000000000..e58a77926d
--- /dev/null
+++ b/testing/openxcap/openxcap.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+#
+
+daemon=/usr/bin/openxcap
+pidfile=/var/run/openxcap/openxcap.pid"
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting OpenXCAP Presence Server"
+ start-stop-daemon --start --quiet --pidfile $pidfile --exec $daemon
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping OpenXCAP Presence Server"
+ start-stop-daemon --stop --quiet --signal 15 --pidfile $pidfile
+ eend $?
+}
+